/**
 * last update : 2014/07/15
 **/

// Namespace
var oimc = oimc || {};

// Base settings
oimc.generalSettings = oimc.generalSettings || {};
oimc.generalSettings.breakPoint = {
	POINT_A: 577,
	POINT_B: 640,
	POINT_C: 767,
	POINT_D: 940
};
oimc.generalSettings.config = {
	CACHE_INVALID: '?' + ( new Date() * 1 ),
	THIS_HREF    : window.location.href,
	TOUCH_SUPPORT : window.ontouchstart === null ? true : false
};

// isDebug
function trace( str ) {
	if ( this.console && typeof console.log != 'undefined' ){
		console.log( str );
	} else {
		alert(s);
	};
};

// check brawser
var uaNtv = (function(){
	return {
		ltIE6:typeof window.addEventListener == "undefined" && typeof document.documentElement.style.maxHeight == "undefined",
		ltIE7:typeof window.addEventListener == "undefined" && typeof document.querySelectorAll == "undefined",
		ltIE8:typeof window.addEventListener == "undefined" && typeof document.getElementsByClassName == "undefined",
		IE:document.uniqueID,
		Firefox:window.sidebar,
		Opera:window.opera,
		Webkit:!document.uniqueID && !window.opera && !window.sidebar && window.localStorage && typeof window.orientation == "undefined",
		Mobile:typeof window.orientation != "undefined"
	};
})();

// check strings
function countStr(inStr, findStr){
	var icount,
		rtn = 0,
		icount = inStr.indexOf(findStr,0);

	while ( icount >= 0 ) {
		icount = inStr.indexOf(findStr, ++icount);
		rtn++;
	};

	return rtn;
};

// set list parts width
function listWidthSet() {
	var $obj = $('.scrollX');
	var imgWidth;

	if($obj.length) {
		for(var i=0; i<$obj.length; i++) {
			var $target = $obj.eq(i).children('ul');
			var imgLength = $target.children('li').length;
			if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_B ) {
				if($target.hasClass('indexLineup01')) {
					imgWidth = 300;
				} else if($target.hasClass('col2')) {
					imgWidth = 260;
				} else if($target.hasClass('col4')) {
					imgWidth = 230;
				} else if($target.hasClass('col5')) {
					imgWidth = 180;
				};

				$target.css({width: imgWidth * imgLength});

				if((imgWidth * imgLength) > ($(window).width() - 40)) {
					$target.parent().css({
						'-webkit-overflow-scrolling': 'touch'
					})
				} else {
					$target.parent().css({
						'-webkit-overflow-scrolling': 'auto'
					})
				};
			} else {
				$target.css({width: ''});
			};
		};
	};
};